Skip to content

Voids a transaction

Request

POST {{baseURL}}/pay-api/v1/transactions/void

This endpoint voids or cancels a transaction payment before it is processed or settled.

The transaction cannot be voided after it has been captured.

See Also:
To create a transaction, see POST /pay-api/v1/transactions/sale.
To capture a transaction, see POST /pay-api/v1/transactions/capture.
To reverse a transaction, see POST /pay-api/v1/transactions/return.
To retrieve a transaction by ID, see GET /pay-api/v1/transactions/{transactionId}.

Security
Bearer
Bodyapplication/json
transactionIdstring, (uuid)required

Specifies the transaction identifier.

Example: c7c15dd0-03e7-4e55-917c-54bedafba5e7

Example:"c7c15dd0-03e7-4e55-917c-54bedafba5e7"
curl -i -X POST \
  https://developer.flute.com/_mock/api-reference/pay-api/v1/transactions/void \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "transactionId": "881eabbc-6138-4677-9d37-592e7dca46f3"
  }'

Responses

OK

Bodyapplication/json
transactionIdstring, (uuid)

Indicates the transaction identifier.

Example: c7c15dd0-03e7-4e55-917c-54bedafba5e7

Example:"c7c15dd0-03e7-4e55-917c-54bedafba5e7"
transactionDateTimestring, (date-time)

Indicates the date and time (in ISO 8601 UTC or timezone offset format) of the transaction.

Examples: 2026-08-24T08:45:22Z

Example:"2026-08-24T08:45:22Z"
typeIdinteger, (int32)

Type id of transaction.

typestring or null

Type name of transaction

statusIdinteger, (int32)

Status id of transaction.

statusstring or null

Status name of transaction

detailsobject

Indicates additional processor-level response details for the transaction.

transactionReceiptobject or null


Indicates an object describing the transaction receipt. The transaction receipt will be null or empty before the transaction is completed. After the completed transaction, it will be filled out.

Response
{ "transactionId": "c7c15dd0-03e7-4e55-917c-54bedafba5e7", "transactionDateTime": "2026-08-24T08:45:22Z", "typeId": 0, "type": "string", "statusId": 0, "status": "string", "details": { "hostResponseCode": "00", "hostResponseMessage": "APPROVAL", "hostResponseDefinition": "Approved and completed", "code": "Approve", "message": "Success", "processorResponseCode": "1000", "authCode": "VTLMC1", "maskedPan": "********3743" }, "transactionReceipt": { "transactionId": "c7c15dd0-03e7-4e55-917c-54bedafba5e7", "transactionDateTime": "2026-02-19T20:24:52.934Z", "amount": { "baseAmount": 129.99, "percentageOffAmount": 12.5, "percentageOffRate": 3.5, "cashDiscountAmount": 10.55, "cashDiscountRate": 1.5, "surchargeAmount": 6.45, "surchargeRate": 1.5, "tipAmount": 14.5, "tipRate": 15, "totalAmount": 3219.45 }, "currencyId": 1, "currency": "USD", "processorId": "ef08c4d5-6e7f-4a8b-9c0d-1e2f3a4b5c81", "processor": "TSYS", "operationTypeId": 1, "operationType": "PayNow", "paymentMethodTypeId": 2, "paymentMethodType": "Card", "transactionTypeId": 5, "transactionType": "Refund", "customerId": "fd9198a4-eb6f-4620-9603-4f4638289de5", "customerPan": "************4512", "cardTokenType": 2, "statusId": 2, "status": "Captured", "merchantName": "Peppared Street Cafe", "merchantAddress": "123 Main St, Springfield, IL 62701", "merchantPhoneNumber": "+14155552309", "merchantEmailAddress": "peppared@example.com", "merchantWebsite": "https://www.peppared.example.com", "authCode": "003772", "source": { "typeId": 1, "type": "Api", "id": "5c6d7e8f-9a0b-4c1d-8e2f-3a4b5c6d7e81", "name": "Terminal 12" }, "cardholderAuthenticationMethodId": 0, "cardholderAuthenticationMethod": "PIN", "cvmResultMsg": "Approved", "cardDataSourceId": 2, "cardDataSource": "Swipe", "responseCode": "000", "responseDescription": "Command Successful. Approved.", "cardProcessingDetails": { "authCode": "003772", "mid": "43252511", "tid": "8820432549239101", "cardCreditDebitTypeId": 1, "cardCreditDebitType": "Credit", "processCreditDebitTypeId": 1, "processCreditDebitType": "Credit", "rrn": "10628361287F", "cardTypeId": 1, "cardType": "Visa" }, "achProcessingDetails": { "customerAccountNumber": "5413591081013511", "customerRoutingNumber": "026009593", "accountHolderType": "Business", "accountHolderTypeId": 1, "accountType": "Checking", "accountTypeId": 1, "taxId": "98-7654321" }, "availableOperations": [ { "typeId": 0, "type": "Refund", "availableAmount": 129.99, "suggestedTips": [ { "tipAmount": 14.5, "tipPercent": 15 } ] } ], "avsResponse": { "actionId": 1, "action": "Allow", "responseCode": "0", "groupId": 5, "group": "ValidGroup", "resultId": 1, "result": "Passed", "codeDescription": "Street Address and ZIP Code Match the information on file." }, "emvTags": { "ac": "4A2B6C8D0E1F2A3B", "tvr": "0000008000", "tsi": "6800", "aid": "A0000000031010", "applicationLabel": "VISA CREDIT", "rawTags": [ { "key": "9F26", "value": "4A2B6C8D0E1F2A3B" } ] }, "orderNumber": "ORD-10293" } }